Hello,

In preparation for upgrading the toolchains used at Oracle, we need the build to be clean with the new compiler versions. On Linux, we are currently aiming at GCC 7.3. In hotspot, two files generate warnings when using this compiler. I found this issue already filed with a patch for disabling the warnings and the related issue JDK-8160404 which will deal with actually fixing the problem. I would like to push the disabling of the warnings ASAP so that the compiler upgrade project can continue unhindered.


Bug: https://bugs.openjdk.java.net/browse/JDK-8187676

Webrev: http://cr.openjdk.java.net/~ehelin/8187676/00/

/Erik

Reply via email to